<?php

namespace common\models;

use common\behaviors\SaveImgBehavior;
use Yii;

/**
 * This is the model class for table "banner".
 *
 * @property integer $banner_id
 * @property string $image
 * @property string $alt
 * @property string $title
 * @property string $url
 * @property integer $status
 * @property integer $width
 * @property integer $height
 */
class Banner extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'banner';
    }



    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            [
                'class'     => SaveImgBehavior::className(),
                'fields' => [
                    ['name'=>'image','directory' => 'banner' ]
                ]
            ],
        ];
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['status', 'width', 'height'], 'integer'],
            [['image', 'alt', 'title', 'url'], 'string', 'max' => 255],
            [['width', 'height'], 'required'],
            ['title', 'unique', 'targetClass' => '\common\models\Slider', 'message' =>  Yii::t('app','message',[
                'field' => 'Title'
            ])],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'banner_id' => Yii::t('app', 'status'),
            'image' => Yii::t('app', 'image'),
            'alt' => Yii::t('app', 'alt'),
            'title' => Yii::t('app', 'title'),
            'url' => Yii::t('app', 'url'),
            'status' => Yii::t('app', 'status'),
            'width' => Yii::t('app', 'width'),
            'height' => Yii::t('app', 'height'),
        ];
    }

    static function getFileExtension ($filename)
    {
        $ext = explode ('.', $filename);

        return end ($ext);
    }
}
